Provision Brand, Subscriber, or Currency VA
curl --request POST \
--url https://vas.finpaytech.co/business-api/api/v1/merchants/me/virtual-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"purpose": "BRAND",
"subMerchantId": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"
}
'import requests
url = "https://vas.finpaytech.co/business-api/api/v1/merchants/me/virtual-accounts"
payload = {
"purpose": "BRAND",
"subMerchantId": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({purpose: 'BRAND', subMerchantId: 'aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee'})
};
fetch('https://vas.finpaytech.co/business-api/api/v1/merchants/me/virtual-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "9d6be39e-9465-4d67-a05a-4b366352bd64",
"merchantId": "301f0991-8f7c-4501-a1d4-c317fe7b7f23",
"ownerType": "MERCHANT",
"ownerId": "301f0991-8f7c-4501-a1d4-c317fe7b7f23",
"purpose": "BRAND",
"purposeLabel": "Legacy merchant VA",
"purposeDescription": "Primary collection account for the merchant",
"accountNumber": "7600003101",
"accountName": "Emaal - WithLotus",
"bankDisplayName": "UBA Kenya",
"accountType": "STATIC",
"accountTypeLabel": "Static virtual account",
"accountTypeDescription": "A permanent collection account number",
"viewerGuidance": null,
"status": "ACTIVE",
"balance": 130,
"feeBalance": 0.39,
"currency": "KES",
"collectionAccountId": "a5380b81-49da-456b-b12e-ba50b56c0217",
"singleDepositLimit": null,
"expireAt": null,
"createdAt": "2026-08-31T12:47:01.898Z"
}Virtual Accounts
Provision Brand, Subscriber, or Currency VA
Invoice VAs are created with POST /api/v1/merchants/me/expected-payments.
POST
https://vas.finpaytech.co/business-api
/
api
/
v1
/
merchants
/
me
/
virtual-accounts
Provision Brand, Subscriber, or Currency VA
Authorizations
Access token from POST /api/v1/auth/login
Body
application/json
Response
201 - application/json
Created
The response is of type object.